.. _constants:

****************
Common constants
****************

.. currentmodule:: babeltrace.common

The following constants are used as arguments and return values in
several methods of both the :ref:`reader <reader-api>` and
:ref:`CTF writer <ctf-writer-api>` APIs.


:class:`CTFStringEncoding`
==========================

.. autoclass:: CTFStringEncoding
   :members:


:class:`ByteOrder`
==================

.. autoclass:: ByteOrder
   :members:


:class:`CTFTypeId`
==================

.. autoclass:: CTFTypeId
   :members:


:class:`CTFScope`
=================

.. autoclass:: CTFScope
   :members:
